aboutsummaryrefslogtreecommitdiff
path: root/scripts/assert-todos.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2020-10-11 03:56:30 -0300
committerEuAndreh <eu@euandre.org>2020-10-11 04:19:20 -0300
commit6d2fae4d2749d893f5d027d5b4756e709a3847af (patch)
treed99d02b8039e233d2e5ae833b2752ef144274ffc /scripts/assert-todos.sh
parentMark slides + article on feature flags as unpublished (diff)
downloadeuandre.org-6d2fae4d2749d893f5d027d5b4756e709a3847af.tar.gz
euandre.org-6d2fae4d2749d893f5d027d5b4756e709a3847af.tar.xz
Decouple testing with Nix
Use Nix for build isolation not for test running.
Diffstat (limited to '')
-rwxr-xr-xscripts/assert-todos.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/assert-todos.sh b/scripts/assert-todos.sh
new file mode 100755
index 0000000..a59b4cd
--- /dev/null
+++ b/scripts/assert-todos.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -Eeuo pipefail
+cd "$(dirname "${BASH_SOURCE[0]}")"
+cd ../
+
+# shellcheck disable=2046
+if grep -R FIXME $(git ls-files) | \
+ grep -Ev '^(vendor/|.git/|scripts/assert-todos.sh|templates)'; then
+ echo "Found dangling FIXME markers on the project."
+ echo "You should write them down properly on TODOs.org."
+ exit 1
+fi